std::uniform_int_distribution< _IntType >::param_type Struct Reference

## Public Types

typedef uniform_int_distribution< _IntType > | distribution_type

## Public Member Functions

| param_type (_IntType __a, _IntType __b=numeric_limits< _IntType >::max())
result_type | a () const
result_type | b () const

## Friends

bool | operator!= (const param_type &__p1, const param_type &__p2)
bool | operator== (const param_type &__p1, const param_type &__p2)

## Detailed Description

### template<typename _IntType = int>
struct std::uniform_int_distribution< _IntType >::param_type

Parameter type.

Definition at line 67 of file uniform_int_dist.h.

The documentation for this struct was generated from the following file:

- uniform_int_dist.h